OfflineImageViewer (Apache Hadoop HDFS 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.tools.offlineImageViewer, class: OfflineImageViewer

Package org.apache.hadoop.hdfs.tools.offlineImageViewer

# Class OfflineImageViewer

java.lang.Object
org.apache.hadoop.hdfs.tools.offlineImageViewer.OfflineImageViewer

@Private public class OfflineImageViewer extends Object
OfflineImageViewer to dump the contents of an Hadoop image file to XML or the console. Main entry point into utility, either via the command line or programmatically.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final org.slf4j.Logger`
  `LOG`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OfflineImageViewer(String inputFile, org.apache.hadoop.hdfs.tools.offlineImageViewer.ImageVisitor processor, boolean skipBlocks)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static org.apache.commons.cli.Options`
  `buildOptions()`
  Build command-line options and descriptions
  `void`
  `go()`
  Process image file.
  `static void`
  `main(String[] args)`
  Entry point to command-line-driven operation.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### LOG

    public static final org.slf4j.Logger LOG

- ## Constructor Details

  - ### OfflineImageViewer

    public OfflineImageViewer(String inputFile, org.apache.hadoop.hdfs.tools.offlineImageViewer.ImageVisitor processor, boolean skipBlocks)

- ## Method Details

  - ### go

    public void go() throws IOException
    Process image file.
    Throws:
      `IOException`

  - ### buildOptions

    public static org.apache.commons.cli.Options buildOptions()
    Build command-line options and descriptions

  - ### main

    public static void main(String[] args) throws IOException
    Entry point to command-line-driven operation. User may specify options and start fsimage viewer from the command line. Program will process image file and exit cleanly or, if an error is encountered, inform user and exit.
    Parameters:
      `args` - Command line options
    Throws:
      `IOException`